Package org.zkoss.zkmax.zul

## Class SimpleLongboxConstraint

- java.lang.Object
- - org.zkoss.zul.SimpleConstraint
  - - org.zkoss.zul.SimpleNumberInputConstraint<java.lang.Long>
    - - org.zkoss.zkmax.zul.SimpleLongboxConstraint

- All Implemented Interfaces:
    `java.io.Serializable`, `ClientConstraint`, `Constraint`

      public class SimpleLongboxConstraint
      extends SimpleNumberInputConstraint<java.lang.Long>

  A simple longbox constraint.
  Since:
    10.2.0
  Author:
    Jamson Chan
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.zul.SimpleConstraint

      `_finishParseCst, _flags, AFTER_END, AFTER_POINTER, AFTER_START, AT_POINTER, BEFORE_END, BEFORE_START, END_AFTER, END_BEFORE, NO_EMPTY, NO_FUTURE, NO_NEGATIVE, NO_PAST, NO_POSITIVE, NO_TODAY, NO_ZERO, OVERLAP, OVERLAP_AFTER, OVERLAP_BEFORE, OVERLAP_END, SERVER, START_AFTER, START_BEFORE, STRICT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleLongboxConstraint()` | Constraints a constraint.
    `SimpleLongboxConstraint​(int flags)` | Constraints a constraint.
    `SimpleLongboxConstraint​(java.lang.String constraint)` | Constructs a constraint with a list of constraints separated by comma.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.Long` | `parseValue​(java.lang.String value)` | Parse the string value to the specified number type T.

    - ### Methods inherited from class org.zkoss.zul.SimpleNumberInputConstraint

      `getMax, getMin, outOfRangeValue, parseConstraint, setMax, setMin, validate`

    - ### Methods inherited from class org.zkoss.zul.SimpleConstraint

      `getClientConstraint, getClientPackages, getErrorMessage, getFlags, getInstance, getRawValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleLongboxConstraint

          public SimpleLongboxConstraint()

      Constraints a constraint.

    - #### SimpleLongboxConstraint

          public SimpleLongboxConstraint​(int flags)

      Constraints a constraint.
      Parameters:
        `flags` - a combination of `SimpleConstraint.NO_POSITIVE`, `SimpleConstraint.NO_NEGATIVE`, `SimpleConstraint.NO_ZERO`, and so on.

    - #### SimpleLongboxConstraint

          public SimpleLongboxConstraint​(java.lang.String constraint)

      Constructs a constraint with a list of constraints separated by comma.
      Parameters:
        `constraint` - a list of constraints separated by comma. Example: no positive, no zero

  - ### Method Detail

    - #### parseValue

          protected java.lang.Long parseValue​(java.lang.String value)

      Description copied from class: `SimpleNumberInputConstraint`
      Parse the string value to the specified number type T. This method should be implemented by subclasses to convert a string representation of a number to the appropriate numeric type for this constraint.
      Specified by:
        `parseValue` in class `SimpleNumberInputConstraint<java.lang.Long>`
      Parameters:
        `value` - the string representation of a number
      Returns:
        the parsed number of type T